- entry_type: invariant_set
  metadata:
    format_version: "2.0"
    uuid: 092ce0a9-fbaf-4f58-aa4c-689bd4edc114
    creation_time: 2025-03-22T16:56:27Z
    producer:
      name: Goblint
      version: heads/master-0-g66dff5a90-dirty
      command_line: '''./goblint'' ''--conf'' ''conf/svcomp.json'' ''--disable'' ''witness.graphml.enabled''
        ''--sets'' ''ana.specification'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/termination.prp''
        ''--sets'' ''exp.architecture'' ''64bit'' ''/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i'''
    task:
      input_files:
      - /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i
      input_file_hashes:
        /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i: edc22a27a339ef391e3ea3841daa4645b584cc0ad7185141d6d001b72dd17f19
      data_model: LP64
      language: C
      specification: CHECK( init(main()), LTL(F end) )
  content:
  - invariant:
      type: loop_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i
        line: 565
        column: 3
        function: main
      value: (((1 <= array_size && ((((((-2LL + (long long )array_size) + (long long
        )i >= 0LL && (2147483646LL - (long long )array_size) + (long long )i >= 0LL)
        && (2147483648LL - (long long )array_size) - (long long )i >= 0LL) && (long
        long )array_size - (long long )i >= 0LL) && i == 1) || ((((((-1LL + (long
        long )array_size) + (long long )i >= 0LL && (2147483647LL - (long long )array_size)
        + (long long )i >= 0LL) && (-1LL + (long long )array_size) - (long long )i
        >= 0LL) && (2147483647LL - (long long )array_size) - (long long )i >= 0LL)
        && 0 == i) && i == 0))) || (((((4 <= array_size && 4 <= i) && (-8LL + (long
        long )array_size) + (long long )i >= 0LL) && (2147483643LL - (long long )array_size)
        + (long long )i >= 0LL) && (4294967294LL - (long long )array_size) - (long
        long )i >= 0LL) && (long long )array_size - (long long )i >= 0LL)) || (((((3
        <= array_size && (-6LL + (long long )array_size) + (long long )i >= 0LL) &&
        (2147483644LL - (long long )array_size) + (long long )i >= 0LL) && (2147483650LL
        - (long long )array_size) - (long long )i >= 0LL) && (long long )array_size
        - (long long )i >= 0LL) && i == 3)) || (((((2 <= array_size && (-4LL + (long
        long )array_size) + (long long )i >= 0LL) && (2147483645LL - (long long )array_size)
        + (long long )i >= 0LL) && (2147483649LL - (long long )array_size) - (long
        long )i >= 0LL) && (long long )array_size - (long long )i >= 0LL) && i ==
        2)
      format: c_expression
  - invariant:
      type: loop_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i
        line: 552
        column: 9
        function: test_fun
      value: (-1LL + (long long )N) - (long long )i >= 0LL
      format: c_expression
  - invariant:
      type: loop_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i
        line: 552
        column: 9
        function: test_fun
      value: ((((((((((((4294967294LL - (long long )N) - (long long )res >= 0LL &&
        ((((((((((((((3 <= res && (2147483644LL - (long long )N) + (long long )res
        >= 0LL) && (((((((((((4 <= N && (-7LL + (long long )N) + (long long )i >=
        0LL) && (-7LL + (long long )N) + (long long )res >= 0LL) && (-6LL + (long
        long )i) + (long long )res >= 0LL) && (0LL - (long long )i) + (long long )res
        >= 0LL) && (2147483644LL - (long long )N) + (long long )i >= 0LL) && (2147483643LL
        + (long long )N) - (long long )res >= 0LL) && (2147483644LL + (long long )i)
        - (long long )res >= 0LL) && (2147483650LL - (long long )N) - (long long )i
        >= 0LL) && (2147483650LL - (long long )i) - (long long )res >= 0LL) && i ==
        3) || ((((((((((2 <= N && (-5LL + (long long )N) + (long long )res >= 0LL)
        && (-4LL + (long long )i) + (long long )res >= 0LL) && (-3LL + (long long
        )N) + (long long )i >= 0LL) && (-2LL - (long long )i) + (long long )res >=
        0LL) && (2147483646LL - (long long )N) + (long long )i >= 0LL) && (2147483645LL
        + (long long )N) - (long long )res >= 0LL) && (2147483646LL + (long long )i)
        - (long long )res >= 0LL) && (2147483648LL - (long long )N) - (long long )i
        >= 0LL) && (2147483648LL - (long long )i) - (long long )res >= 0LL) && i ==
        1))) || ((((((((((((2 <= res && 4 <= N) && (-7LL + (long long )N) + (long
        long )i >= 0LL) && (-6LL + (long long )N) + (long long )res >= 0LL) && (-5LL
        + (long long )i) + (long long )res >= 0LL) && (1LL - (long long )i) + (long
        long )res >= 0LL) && (2147483644LL - (long long )N) + (long long )i >= 0LL)
        && (2147483645LL - (long long )N) + (long long )res >= 0LL) && (2147483643LL
        + (long long )N) - (long long )res >= 0LL) && (2147483644LL + (long long )i)
        - (long long )res >= 0LL) && (2147483650LL - (long long )N) - (long long )i
        >= 0LL) && (2147483650LL - (long long )i) - (long long )res >= 0LL) && i ==
        3)) || ((((((((((((2 <= N && 2 <= res) && (-4LL + (long long )N) + (long long
        )res >= 0LL) && (-3LL + (long long )N) + (long long )i >= 0LL) && (-3LL +
        (long long )i) + (long long )res >= 0LL) && (-1LL - (long long )i) + (long
        long )res >= 0LL) && (2147483645LL - (long long )N) + (long long )res >= 0LL)
        && (2147483646LL - (long long )N) + (long long )i >= 0LL) && (2147483645LL
        + (long long )N) - (long long )res >= 0LL) && (2147483646LL + (long long )i)
        - (long long )res >= 0LL) && (2147483648LL - (long long )N) - (long long )i
        >= 0LL) && (2147483648LL - (long long )i) - (long long )res >= 0LL) && i ==
        1)) || ((((((((((((1 <= res && 4 <= N) && (-7LL + (long long )N) + (long long
        )i >= 0LL) && (-5LL + (long long )N) + (long long )res >= 0LL) && (-4LL +
        (long long )i) + (long long )res >= 0LL) && (2LL - (long long )i) + (long
        long )res >= 0LL) && (2147483644LL - (long long )N) + (long long )i >= 0LL)
        && (2147483646LL - (long long )N) + (long long )res >= 0LL) && (2147483643LL
        + (long long )N) - (long long )res >= 0LL) && (2147483644LL + (long long )i)
        - (long long )res >= 0LL) && (2147483650LL - (long long )N) - (long long )i
        >= 0LL) && (2147483650LL - (long long )i) - (long long )res >= 0LL) && i ==
        3)) || ((((((((((((1 <= res && 2 <= N) && (-3LL + (long long )N) + (long long
        )i >= 0LL) && (-3LL + (long long )N) + (long long )res >= 0LL) && (-2LL +
        (long long )i) + (long long )res >= 0LL) && (0LL - (long long )i) + (long
        long )res >= 0LL) && (2147483646LL - (long long )N) + (long long )i >= 0LL)
        && (2147483646LL - (long long )N) + (long long )res >= 0LL) && (2147483645LL
        + (long long )N) - (long long )res >= 0LL) && (2147483646LL + (long long )i)
        - (long long )res >= 0LL) && (2147483648LL - (long long )N) - (long long )i
        >= 0LL) && (2147483648LL - (long long )i) - (long long )res >= 0LL) && i ==
        1)) || ((((((((((((0 <= res && 4 <= N) && (-7LL + (long long )N) + (long long
        )i >= 0LL) && (-4LL + (long long )N) + (long long )res >= 0LL) && (-3LL +
        (long long )i) + (long long )res >= 0LL) && (3LL - (long long )i) + (long
        long )res >= 0LL) && (2147483644LL - (long long )N) + (long long )i >= 0LL)
        && (2147483647LL - (long long )N) + (long long )res >= 0LL) && (2147483643LL
        + (long long )N) - (long long )res >= 0LL) && (2147483644LL + (long long )i)
        - (long long )res >= 0LL) && (2147483650LL - (long long )N) - (long long )i
        >= 0LL) && (2147483650LL - (long long )i) - (long long )res >= 0LL) && i ==
        3)) || ((((((((((((0 <= res && 2 <= N) && (-3LL + (long long )N) + (long long
        )i >= 0LL) && (-2LL + (long long )N) + (long long )res >= 0LL) && (-1LL +
        (long long )i) + (long long )res >= 0LL) && (1LL - (long long )i) + (long
        long )res >= 0LL) && (2147483646LL - (long long )N) + (long long )i >= 0LL)
        && (2147483647LL - (long long )N) + (long long )res >= 0LL) && (2147483645LL
        + (long long )N) - (long long )res >= 0LL) && (2147483646LL + (long long )i)
        - (long long )res >= 0LL) && (2147483648LL - (long long )N) - (long long )i
        >= 0LL) && (2147483648LL - (long long )i) - (long long )res >= 0LL) && i ==
        1)) || (((((((((((((4 <= i && 4 <= res) && 5 <= N) && i <= 2147483646) &&
        (-9LL + (long long )N) + (long long )i >= 0LL) && (-9LL + (long long )N) +
        (long long )res >= 0LL) && (-8LL + (long long )i) + (long long )res >= 0LL)
        && (2147483642LL - (long long )i) + (long long )res >= 0LL) && (2147483643LL
        - (long long )N) + (long long )i >= 0LL) && (2147483643LL - (long long )N)
        + (long long )res >= 0LL) && (2147483642LL + (long long )N) - (long long )res
        >= 0LL) && (2147483643LL + (long long )i) - (long long )res >= 0LL) && (4294967293LL
        - (long long )N) - (long long )i >= 0LL) && (4294967293LL - (long long )i)
        - (long long )res >= 0LL)) || ((((((((((((3 <= N && 4 <= res) && (-7LL + (long
        long )N) + (long long )res >= 0LL) && (-6LL + (long long )i) + (long long
        )res >= 0LL) && (-5LL + (long long )N) + (long long )i >= 0LL) && (-2LL -
        (long long )i) + (long long )res >= 0LL) && (2147483643LL - (long long )N)
        + (long long )res >= 0LL) && (2147483645LL - (long long )N) + (long long )i
        >= 0LL) && (2147483644LL + (long long )N) - (long long )res >= 0LL) && (2147483645LL
        + (long long )i) - (long long )res >= 0LL) && (2147483649LL - (long long )N)
        - (long long )i >= 0LL) && (2147483649LL - (long long )i) - (long long )res
        >= 0LL) && i == 2)) || (((((((((((((3 <= res && 4 <= i) && 5 <= N) && i <=
        2147483646) && (-9LL + (long long )N) + (long long )i >= 0LL) && (-8LL + (long
        long )N) + (long long )res >= 0LL) && (-7LL + (long long )i) + (long long
        )res >= 0LL) && (2147483643LL - (long long )N) + (long long )i >= 0LL) &&
        (2147483643LL - (long long )i) + (long long )res >= 0LL) && (2147483644LL
        - (long long )N) + (long long )res >= 0LL) && (2147483642LL + (long long )N)
        - (long long )res >= 0LL) && (2147483643LL + (long long )i) - (long long )res
        >= 0LL) && (4294967293LL - (long long )N) - (long long )i >= 0LL) && (4294967293LL
        - (long long )i) - (long long )res >= 0LL)) || (((((((((((((1 <= N && 4 <=
        res) && (-5LL + (long long )N) + (long long )res >= 0LL) && (-4LL + (long
        long )i) + (long long )res >= 0LL) && (-1LL + (long long )N) + (long long
        )i >= 0LL) && (-4LL - (long long )i) + (long long )res >= 0LL) && (2147483643LL
        - (long long )N) + (long long )res >= 0LL) && (2147483647LL - (long long )N)
        + (long long )i >= 0LL) && (2147483646LL + (long long )N) - (long long )res
        >= 0LL) && (2147483647LL + (long long )i) - (long long )res >= 0LL) && (2147483647LL
        - (long long )N) - (long long )i >= 0LL) && (2147483647LL - (long long )i)
        - (long long )res >= 0LL) && 0 == i) && i == 0)) || ((((((((((((3 <= N &&
        3 <= res) && (-6LL + (long long )N) + (long long )res >= 0LL) && (-5LL + (long
        long )N) + (long long )i >= 0LL) && (-5LL + (long long )i) + (long long )res
        >= 0LL) && (-1LL - (long long )i) + (long long )res >= 0LL) && (2147483644LL
        - (long long )N) + (long long )res >= 0LL) && (2147483645LL - (long long )N)
        + (long long )i >= 0LL) && (2147483644LL + (long long )N) - (long long )res
        >= 0LL) && (2147483645LL + (long long )i) - (long long )res >= 0LL) && (2147483649LL
        - (long long )N) - (long long )i >= 0LL) && (2147483649LL - (long long )i)
        - (long long )res >= 0LL) && i == 2)) || (((((((((((((2 <= res && 4 <= i)
        && 5 <= N) && i <= 2147483646) && (-9LL + (long long )N) + (long long )i >=
        0LL) && (-7LL + (long long )N) + (long long )res >= 0LL) && (-6LL + (long
        long )i) + (long long )res >= 0LL) && (2147483643LL - (long long )N) + (long
        long )i >= 0LL) && (2147483644LL - (long long )i) + (long long )res >= 0LL)
        && (2147483645LL - (long long )N) + (long long )res >= 0LL) && (2147483642LL
        + (long long )N) - (long long )res >= 0LL) && (2147483643LL + (long long )i)
        - (long long )res >= 0LL) && (4294967293LL - (long long )N) - (long long )i
        >= 0LL) && (4294967293LL - (long long )i) - (long long )res >= 0LL))) || ((((((((((((((1
        <= N && (-4LL + (long long )N) + (long long )res >= 0LL) && (-3LL + (long
        long )i) + (long long )res >= 0LL) && (-1LL + (long long )N) + (long long
        )i >= 0LL) && (-3LL - (long long )i) + (long long )res >= 0LL) && (2147483644LL
        - (long long )N) + (long long )res >= 0LL) && (2147483647LL - (long long )N)
        + (long long )i >= 0LL) && (2LL + (long long )N) - (long long )res >= 0LL)
        && (3LL + (long long )i) - (long long )res >= 0LL) && (3LL - (long long )i)
        - (long long )res >= 0LL) && (2147483647LL - (long long )N) - (long long )i
        >= 0LL) && (2147483650LL - (long long )N) - (long long )res >= 0LL) && 0 ==
        i) && i == 0) && res == 3)) || (((((((((((((2 <= res && 3 <= N) && (-5LL +
        (long long )N) + (long long )i >= 0LL) && (-5LL + (long long )N) + (long long
        )res >= 0LL) && (-4LL + (long long )i) + (long long )res >= 0LL) && (0LL -
        (long long )i) + (long long )res >= 0LL) && (2147483645LL - (long long )N)
        + (long long )i >= 0LL) && (2147483645LL - (long long )N) + (long long )res
        >= 0LL) && (2147483644LL + (long long )N) - (long long )res >= 0LL) && (2147483645LL
        + (long long )i) - (long long )res >= 0LL) && (2147483649LL - (long long )N)
        - (long long )i >= 0LL) && (2147483649LL - (long long )i) - (long long )res
        >= 0LL) && (4294967294LL - (long long )N) - (long long )res >= 0LL) && i ==
        2)) || ((((((((((((((1 <= res && 4 <= i) && 5 <= N) && i <= 2147483646) &&
        (-9LL + (long long )N) + (long long )i >= 0LL) && (-6LL + (long long )N) +
        (long long )res >= 0LL) && (-5LL + (long long )i) + (long long )res >= 0LL)
        && (2147483643LL - (long long )N) + (long long )i >= 0LL) && (2147483645LL
        - (long long )i) + (long long )res >= 0LL) && (2147483646LL - (long long )N)
        + (long long )res >= 0LL) && (2147483642LL + (long long )N) - (long long )res
        >= 0LL) && (2147483643LL + (long long )i) - (long long )res >= 0LL) && (4294967293LL
        - (long long )N) - (long long )i >= 0LL) && (4294967293LL - (long long )i)
        - (long long )res >= 0LL) && (4294967294LL - (long long )N) - (long long )res
        >= 0LL)) || ((((((((((((((1 <= N && (-3LL + (long long )N) + (long long )res
        >= 0LL) && (-2LL + (long long )i) + (long long )res >= 0LL) && (-1LL + (long
        long )N) + (long long )i >= 0LL) && (-2LL - (long long )i) + (long long )res
        >= 0LL) && (2147483645LL - (long long )N) + (long long )res >= 0LL) && (2147483647LL
        - (long long )N) + (long long )i >= 0LL) && (1LL + (long long )N) - (long
        long )res >= 0LL) && (2LL + (long long )i) - (long long )res >= 0LL) && (2LL
        - (long long )i) - (long long )res >= 0LL) && (2147483647LL - (long long )N)
        - (long long )i >= 0LL) && (2147483649LL - (long long )N) - (long long )res
        >= 0LL) && 0 == i) && i == 0) && res == 2)) || (((((((((((((1 <= res && 3
        <= N) && (-5LL + (long long )N) + (long long )i >= 0LL) && (-4LL + (long long
        )N) + (long long )res >= 0LL) && (-3LL + (long long )i) + (long long )res
        >= 0LL) && (1LL - (long long )i) + (long long )res >= 0LL) && (2147483645LL
        - (long long )N) + (long long )i >= 0LL) && (2147483646LL - (long long )N)
        + (long long )res >= 0LL) && (2147483644LL + (long long )N) - (long long )res
        >= 0LL) && (2147483645LL + (long long )i) - (long long )res >= 0LL) && (2147483649LL
        - (long long )N) - (long long )i >= 0LL) && (2147483649LL - (long long )i)
        - (long long )res >= 0LL) && (4294967294LL - (long long )N) - (long long )res
        >= 0LL) && i == 2)) || ((((((((((((((0 <= res && 4 <= i) && 5 <= N) && i <=
        2147483646) && (-9LL + (long long )N) + (long long )i >= 0LL) && (-5LL + (long
        long )N) + (long long )res >= 0LL) && (-4LL + (long long )i) + (long long
        )res >= 0LL) && (2147483643LL - (long long )N) + (long long )i >= 0LL) &&
        (2147483646LL - (long long )i) + (long long )res >= 0LL) && (2147483647LL
        - (long long )N) + (long long )res >= 0LL) && (2147483642LL + (long long )N)
        - (long long )res >= 0LL) && (2147483643LL + (long long )i) - (long long )res
        >= 0LL) && (4294967293LL - (long long )N) - (long long )i >= 0LL) && (4294967293LL
        - (long long )i) - (long long )res >= 0LL) && (4294967294LL - (long long )N)
        - (long long )res >= 0LL)) || ((((((((((((((1 <= N && (-2LL + (long long )N)
        + (long long )res >= 0LL) && (-1LL + (long long )N) + (long long )i >= 0LL)
        && (-1LL + (long long )i) + (long long )res >= 0LL) && (-1LL - (long long
        )i) + (long long )res >= 0LL) && (2147483646LL - (long long )N) + (long long
        )res >= 0LL) && (2147483647LL - (long long )N) + (long long )i >= 0LL) &&
        (1LL + (long long )i) - (long long )res >= 0LL) && (1LL - (long long )i) -
        (long long )res >= 0LL) && (2147483647LL - (long long )N) - (long long )i
        >= 0LL) && (2147483648LL - (long long )N) - (long long )res >= 0LL) && (long
        long )N - (long long )res >= 0LL) && 0 == i) && i == 0) && res == 1)) || (((((((((((((0
        <= res && 3 <= N) && (-5LL + (long long )N) + (long long )i >= 0LL) && (-3LL
        + (long long )N) + (long long )res >= 0LL) && (-2LL + (long long )i) + (long
        long )res >= 0LL) && (2LL - (long long )i) + (long long )res >= 0LL) && (2147483645LL
        - (long long )N) + (long long )i >= 0LL) && (2147483647LL - (long long )N)
        + (long long )res >= 0LL) && (2147483644LL + (long long )N) - (long long )res
        >= 0LL) && (2147483645LL + (long long )i) - (long long )res >= 0LL) && (2147483649LL
        - (long long )N) - (long long )i >= 0LL) && (2147483649LL - (long long )i)
        - (long long )res >= 0LL) && (4294967294LL - (long long )N) - (long long )res
        >= 0LL) && i == 2)) || ((((((((((((((((1 <= N && (-1LL + (long long )N) +
        (long long )i >= 0LL) && (-1LL + (long long )N) + (long long )res >= 0LL)
        && (0LL - (long long )i) + (long long )res >= 0LL) && (2147483647LL - (long
        long )N) + (long long )i >= 0LL) && (2147483647LL - (long long )N) + (long
        long )res >= 0LL) && (long long )i + (long long )res >= 0LL) && (-1LL + (long
        long )N) - (long long )res >= 0LL) && (0LL - (long long )i) - (long long )res
        >= 0LL) && (2147483647LL - (long long )N) - (long long )i >= 0LL) && (2147483647LL
        - (long long )N) - (long long )res >= 0LL) && (long long )i - (long long )res
        >= 0LL) && 0 == i) && 0 == res) && i == 0) && i == res) && res == 0)) || (((((((((((((4
        <= N && 4 <= res) && (-8LL + (long long )N) + (long long )res >= 0LL) && (-7LL
        + (long long )N) + (long long )i >= 0LL) && (-7LL + (long long )i) + (long
        long )res >= 0LL) && (-1LL - (long long )i) + (long long )res >= 0LL) && (2147483643LL
        - (long long )N) + (long long )res >= 0LL) && (2147483644LL - (long long )N)
        + (long long )i >= 0LL) && (2147483643LL + (long long )N) - (long long )res
        >= 0LL) && (2147483644LL + (long long )i) - (long long )res >= 0LL) && (2147483650LL
        - (long long )N) - (long long )i >= 0LL) && (2147483650LL - (long long )i)
        - (long long )res >= 0LL) && (4294967294LL - (long long )N) - (long long )res
        >= 0LL) && i == 3)) || (((((((((((((2 <= N && 4 <= res) && (-6LL + (long long
        )N) + (long long )res >= 0LL) && (-5LL + (long long )i) + (long long )res
        >= 0LL) && (-3LL + (long long )N) + (long long )i >= 0LL) && (-3LL - (long
        long )i) + (long long )res >= 0LL) && (2147483643LL - (long long )N) + (long
        long )res >= 0LL) && (2147483646LL - (long long )N) + (long long )i >= 0LL)
        && (2147483645LL + (long long )N) - (long long )res >= 0LL) && (2147483646LL
        + (long long )i) - (long long )res >= 0LL) && (2147483648LL - (long long )N)
        - (long long )i >= 0LL) && (2147483648LL - (long long )i) - (long long )res
        >= 0LL) && (4294967294LL - (long long )N) - (long long )res >= 0LL) && i ==
        1)
      format: c_expression
  - invariant:
      type: loop_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i
        line: 551
        column: 5
        function: test_fun
      value: (2147483647LL - (long long )N) + (long long )res >= 0LL
      format: c_expression
  - invariant:
      type: loop_invariant
      location:
        file_name: /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/termination-memory-alloca/array01-alloca-1.i
        line: 551
        column: 5
        function: test_fun
      value: (((0 <= res && (4294967294LL - (long long )N) - (long long )res >= 0LL)
        && (long long )N - (long long )i >= 0LL) && (((((((((((((3 <= N && (-6LL +
        (long long )N) + (long long )i >= 0LL) && (-3LL + (long long )N) + (long long
        )res >= 0LL) && (-3LL + (long long )i) + (long long )res >= 0LL) && (3LL -
        (long long )i) + (long long )res >= 0LL) && (2147483644LL - (long long )N)
        + (long long )i >= 0LL) && (2147483644LL + (long long )N) - (long long )res
        >= 0LL) && (2147483644LL + (long long )i) - (long long )res >= 0LL) && (2147483650LL
        - (long long )N) - (long long )i >= 0LL) && (2147483650LL - (long long )i)
        - (long long )res >= 0LL) && i == 3) || ((((((((((1 <= N && (-2LL + (long
        long )N) + (long long )i >= 0LL) && (-1LL + (long long )N) + (long long )res
        >= 0LL) && (-1LL + (long long )i) + (long long )res >= 0LL) && (1LL - (long
        long )i) + (long long )res >= 0LL) && (2147483646LL - (long long )N) + (long
        long )i >= 0LL) && (2147483646LL + (long long )N) - (long long )res >= 0LL)
        && (2147483646LL + (long long )i) - (long long )res >= 0LL) && (2147483648LL
        - (long long )N) - (long long )i >= 0LL) && (2147483648LL - (long long )i)
        - (long long )res >= 0LL) && i == 1)) || ((((((((((4 <= N && 4 <= i) && (-8LL
        + (long long )N) + (long long )i >= 0LL) && (-4LL + (long long )N) + (long
        long )res >= 0LL) && (-4LL + (long long )i) + (long long )res >= 0LL) && (2147483643LL
        - (long long )N) + (long long )i >= 0LL) && (2147483647LL - (long long )i)
        + (long long )res >= 0LL) && (2147483643LL + (long long )N) - (long long )res
        >= 0LL) && (2147483643LL + (long long )i) - (long long )res >= 0LL) && (4294967294LL
        - (long long )N) - (long long )i >= 0LL) && (4294967294LL - (long long )i)
        - (long long )res >= 0LL)) || ((((((((((2 <= N && (-4LL + (long long )N) +
        (long long )i >= 0LL) && (-2LL + (long long )N) + (long long )res >= 0LL)
        && (-2LL + (long long )i) + (long long )res >= 0LL) && (2LL - (long long )i)
        + (long long )res >= 0LL) && (2147483645LL - (long long )N) + (long long )i
        >= 0LL) && (2147483645LL + (long long )N) - (long long )res >= 0LL) && (2147483645LL
        + (long long )i) - (long long )res >= 0LL) && (2147483649LL - (long long )N)
        - (long long )i >= 0LL) && (2147483649LL - (long long )i) - (long long )res
        >= 0LL) && i == 2))) || ((((((((((((((((1 <= N && (-1LL + (long long )N) +
        (long long )i >= 0LL) && (-1LL + (long long )N) + (long long )res >= 0LL)
        && (0LL - (long long )i) + (long long )res >= 0LL) && (2147483647LL - (long
        long )N) + (long long )i >= 0LL) && (long long )i + (long long )res >= 0LL)
        && (-1LL + (long long )N) - (long long )i >= 0LL) && (-1LL + (long long )N)
        - (long long )res >= 0LL) && (0LL - (long long )i) - (long long )res >= 0LL)
        && (2147483647LL - (long long )N) - (long long )i >= 0LL) && (2147483647LL
        - (long long )N) - (long long )res >= 0LL) && (long long )i - (long long )res
        >= 0LL) && 0 == i) && 0 == res) && i == 0) && i == res) && res == 0)
      format: c_expression
